Returns the Oracle Database version

- « oci_rollback

- oci_set_action »

- PHP Manual
- OCI8 Functions
- Returns the Oracle Database version

# oci_server_version

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

oci_server_version — Returns the Oracle Database version

### Description

oci_server_version(resource `$connection`): string|false

Returns a string with the Oracle Database version and available options

### Parameters

`connection`

### Return Values

Returns the version information as a string or `false` on error.

### Examples

Example #1 oci_server_version() example

    <?php$conn = oci_connect("hr", "hrpwd", "localhost/XE");echo "Server Version: " . oci_server_version($conn);// Displays:// Server Version: Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 - 64bit Production// With the Partitioning, OLAP, Data Mining and Real Application Testing optionoci_close($conn);?>

### See Also

- oci_client_version() - Returns the Oracle client library version